
Redmine - Defect #20908

rails dependency is too strict

2015-10-05 22:27 - Antonio Terceiro

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.1.1

Description

I maintain Redmine in Debian. Currently the Gemfile specifies a specific rails version, instead of a minimum required version. This

makes it really hard to maintain packages. Please consider the attached patch, which specifies a minimum required version (4.2.4),

but will also work with anything newer than that.

History

#1 - 2015-10-05 22:27 - Antonio Terceiro

- File 0001-Relax-rails-dependency.patch added

the patch

#2 - 2015-10-06 01:24 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Rails minor version updating broke Redmine many times.

We have fixed many times.

We discussed this policy long time ago. (but I cannot find this discuss.)

Files

0001-Relax-rails-dependency.patch 719 Bytes 2015-10-05 Antonio Terceiro
